Skip to navigation

Get Chart by ID

Beta
Get a single Chart by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

chart_idstringRequired
ID of the Chart.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstringOptional
creatorobjectOptional
idstringOptional
libraryenumOptional
Allowed values:
libraryConfigmap from strings to anyOptional

JSON object representing the direct input to a chart library on the front-end.

libraryVersionstringOptional

Version of the library that the config corresponds to.

For example, if the library uses semver, we might store “1.2.3”, “1.2.3-alpha.1”, ect.

modifiedAtstringOptional
namestringOptional
originAutomationStepobject or nullOptional
The automation step that this chart was created from.
originAutomationStepDataNamestring or nullOptional
The name of the data in originAutomationStep that this chart was created from.
rasterConfigmap from strings to anyOptional

Config used to generate the rasterized image of the chart in relation to th library that we’re using.

For example, in Plotly, this could be:

  {
    width: 600
    height: 400
    scale: 0.5
    format: "png"
    engine: "kaleido"
  }
rasterDownloadUrlstringOptional
URL to download a rasterized image of the chart. We store these images in perpetuity in case the library and libraryConfig version of the chart can no longer be rendered.
rasterExternalFileIdstringOptional
originPipelineStepobject or nullOptionalDeprecated
The pipeline step that this chart was created from.
originPipelineStepDataNamestring or nullOptionalDeprecated
The name of the data in originAutomationStep that this chart was created from.

Errors

400
Chart Get Request Bad Request Error
403
Chart Get Request Forbidden Error
404
Chart Get Request Not Found Error
429
Chart Get Request Too Many Requests Error
500
Chart Get Request Internal Server Error